/*
 * FCKeditor - The text editor for Internet - http://www.fckeditor.net
 * Copyright (C) 2003-2007 Frederico Caldeira Knabben
 * 
 * == BEGIN LICENSE ==
 * 
 * Licensed under the terms of any of the following licenses at your
 * choice:
 * 
 *  - GNU General Public License Version 2 or later (the "GPL")
 *    http://www.gnu.org/licenses/gpl.html
 * 
 *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
 *    http://www.gnu.org/licenses/lgpl.html
 * 
 *  - Mozilla Public License Version 1.1 or later (the "MPL")
 *    http://www.mozilla.org/MPL/MPL-1.1.html
 * 
 * == END LICENSE ==
 */
package net.fckeditor.tool;

import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;

import com.fredck.fckeditor.tool.Utils;

import junit.framework.TestCase;

/**
 * Tests for {@link Utils#getSet(String, String)}.
 *
 * @version $Id: Util_getSet.java 1184 2008-01-03 10:39:36Z th-schwarz $
 * @author <a href="mailto:th-schwarz@users.sourceforge.net">Thilo Schwarz</a>
 */
public class Util_getSet extends TestCase {

    public void test_getSet01() throws Exception {
	Set set = new HashSet();
	set.add("a");
	set.add("ab");
	set.add("c");
	
	Set newSet = Utils.getSet("a|Ab|c", "|");
	for (Iterator iterator = newSet.iterator(); iterator.hasNext();) {
	    String val = (String) iterator.next();
	    assertEquals(true, set.contains(val));
	}
    }
    
    public void test_getSet02() throws Exception {
	Set set = new HashSet();
	set.add("png");
	set.add("jpg");
	set.add("gif");
	
	Set newSet = Utils.getSet("png|jpg|gif");
	for (Iterator iterator = newSet.iterator(); iterator.hasNext();) {
	    String val = (String) iterator.next();
	    assertEquals(true, set.contains(val));
	}
    }
}
